org.apache.cassandra.db

## Class DeletedColumn

- java.lang.Object
- - org.apache.cassandra.db.Column
  - - org.apache.cassandra.db.DeletedColumn

All Implemented Interfaces:
  OnDiskAtom

    public class DeletedColumn
    extends Column

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.db.OnDiskAtom

`OnDiskAtom.Serializer`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.Column

`MAX_NAME_LENGTH, name, serializer, timestamp, value`

### Constructor Summary

Constructors
Constructor and Description
`DeletedColumn(java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp)`
`DeletedColumn(java.nio.ByteBuffer name, int localDeletionTime, long timestamp)`

### Method Summary

Methods
`static DeletedColumn` `create(int localDeletionTime, long timestamp, java.lang.String... names)`
`int` `getLocalDeletionTime()`
`long` `getMarkedForDeleteAt()`
`boolean` `isMarkedForDelete(long now)`
`Column` `localCopy(ColumnFamilyStore cfs)`
`Column` `localCopy(ColumnFamilyStore cfs, Allocator allocator)`
`Column` `reconcile(Column column, Allocator allocator)`
`int` `serializationFlags()`
`void` `updateDigest(java.security.MessageDigest digest)`
`void` `validateFields(CFMetaData metadata)`
`Column` `withUpdatedName(java.nio.ByteBuffer newName)`
`Column` `withUpdatedTimestamp(long newTimestamp)`

### Methods inherited from class org.apache.cassandra.db.Column

`create, create, create, create, create, create, dataSize, diff, equals, getString, hashCode, hasIrrelevantData, isLive, maxTimestamp, minTimestamp, name, onDiskIterator, onDiskSerializer, reconcile, serializedSize, serializedSizeForSSTable, timestamp, validateName, value`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DeletedColumn

    public DeletedColumn(java.nio.ByteBuffer name,
                 int localDeletionTime,
                 long timestamp)

#### DeletedColumn

    public DeletedColumn(java.nio.ByteBuffer name,
                 java.nio.ByteBuffer value,
                 long timestamp)

### Method Detail

#### withUpdatedName

    public Column withUpdatedName(java.nio.ByteBuffer newName)

Overrides:
  `withUpdatedName` in class `Column`

#### withUpdatedTimestamp

    public Column withUpdatedTimestamp(long newTimestamp)

Overrides:
  `withUpdatedTimestamp` in class `Column`

#### isMarkedForDelete

    public boolean isMarkedForDelete(long now)

Overrides:
  `isMarkedForDelete` in class `Column`

#### getMarkedForDeleteAt

    public long getMarkedForDeleteAt()

Overrides:
  `getMarkedForDeleteAt` in class `Column`

#### updateDigest

    public void updateDigest(java.security.MessageDigest digest)

Specified by:
  `updateDigest` in interface `OnDiskAtom`
Overrides:
  `updateDigest` in class `Column`

#### getLocalDeletionTime

    public int getLocalDeletionTime()

Specified by:
  `getLocalDeletionTime` in interface `OnDiskAtom`
Overrides:
  `getLocalDeletionTime` in class `Column`

#### reconcile

    public Column reconcile(Column column,
                   Allocator allocator)

Overrides:
  `reconcile` in class `Column`

#### localCopy

    public Column localCopy(ColumnFamilyStore cfs)

Overrides:
  `localCopy` in class `Column`

#### localCopy

    public Column localCopy(ColumnFamilyStore cfs,
                   Allocator allocator)

Overrides:
  `localCopy` in class `Column`

#### serializationFlags

    public int serializationFlags()

Overrides:
  `serializationFlags` in class `Column`

#### validateFields

    public void validateFields(CFMetaData metadata)
                        throws MarshalException

Specified by:
  `validateFields` in interface `OnDiskAtom`
Overrides:
  `validateFields` in class `Column`
Throws:
  `MarshalException`

#### create

    public static DeletedColumn create(int localDeletionTime,
                       long timestamp,
                       java.lang.String... names)